local tmp = package.path
package.path = package.path .. ";UAV.rte/?.lua"
require("common")
package.path = tmp

function Create(self)
	UAVInitialize(self)
	
	-- specific for this craft
	self.occlusion = 75
	self.payload = 8
	self.bomb = "High-Drag Bomb"
	self.payloadRof = 150	-- time in ms between drops
	
	if self.payload > 3 then
		self.Frame = 0
	elseif self.payload > 0 then
		self.Frame = 1
	end
end

function Destroy(self)
	UAVDestroy(self)
end

function Update(self)
	self.angle = self.RotAngle
	if self.HFlipped then
		self.angle = self.angle + math.pi
	end
	
	if self.RotAngle > math.pi or self.RotAngle < -math.pi then
		self.RotAngle = 0
		self.HFlipped = not self.HFlipped
	end
	
	-- movement in direction of view angle
	self.speed = math.abs(self.Vel.Magnitude * math.cos(math.abs(self.Vel.AbsRadAngle - self.RotAngle)))
	
	UAVMove(self)
	
	if ToActor(self):IsPlayerControlled() then
		self.playerCtrl = true
		UAVMap(self)
		
		-- MGs
		if self:GetController():IsState(Controller.PRIMARY_ACTION) then
			if self.ammo > 0 then
				UAVFireMG(self)
			else
				UAVAddIcon(self, CreateMOSParticle("No Ammo"), 5)
			end
		end
	
		-- specific for this craft
		if self.DropTimer:IsPastSimMS(self.payloadRof) and (self:GetController():IsMouseControlled() and UAVSecondaryKey()) or
			(not self:GetController():IsMouseControlled() and self:GetController():IsState(Controller.AIM_SHARP))
		then
			if self.payload > 0 then
				self.DropTimer:Reset()
				UAVDropBomb(self)
				self:AddInventoryItem(CreateHDFirearm(".", "UAV.rte"))	-- Negative Gold
				
				-- Draw Bombs
				if self.payload > 3 then
					self.Frame = 0
				elseif self.payload > 0 then
					self.Frame = 1
				else
					self.Frame = 2
				end
			else
				UAVAddIcon(self, CreateMOSParticle("No Ammo"), 5)
			end
		end
	elseif self.playerCtrl then
		UAVDestroy(self)
	end
end